summaryrefslogtreecommitdiffstats
path: root/build_tools/bin/update_db_repo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/bin/update_db_repo.sh')
-rwxr-xr-xbuild_tools/bin/update_db_repo.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/build_tools/bin/update_db_repo.sh b/build_tools/bin/update_db_repo.sh
new file mode 100755
index 0000000..27a594b
--- /dev/null
+++ b/build_tools/bin/update_db_repo.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# tiny util to regenreate the databse on the LOCAL machine
+# called with
+
+if [ $# -ne 2 ]
+then
+ echo "incorrect number of args"
+ echo "update_db_repo directory repo"
+ echo "EX: update_db_repo /data/local/pkg_repo/i686/core-testing core-testing"
+ exit 1
+fi
+
+
+cd $1
+REPO=$2
+echo " --------------------------"
+echo "updating database for $REPO"
+echo " --------------------------"
+pwd
+ repo-add -q $REPO.db.tar.gz *.pkg.tar.gz
+cd -